setwd("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/boxplots_DEG")

load("~/Feng_He_project/SysTACT_allergy_study/limma_withXY_all_modelA/workspace_limma_venom_pollen.RData")

DEGs_pollen_T0_vs_venom_T0<-table_PollenT0vsVenomT0[which(table_PollenT0vsVenomT0$adj.P.Val<=0.05),]

d<-dim(DEGs_pollen_T0_vs_venom_T0)[1]
row_indices<-vector(mode='integer',length=d)
for (i in 1:d){
  row_indices[i]<-which(rownames(data)==rownames(DEGs_pollen_T0_vs_venom_T0)[i])
}
col_indices1<-which(phenotype=="V" & time=="0")
col_indices2<-which(phenotype=="P" & time=="0")
data_sel1<-data[row_indices,col_indices1]
data_sel2<-data[row_indices,col_indices2]
boxplots <- vector(mode = "list", length = nrow(DEGs_pollen_T0_vs_venom_T0))

pdf("boxplots_pollen_0d_vs_venom_0d.pdf")

boxplot(data_sel1, data_sel2,
          main = paste0(rownames(DEGs_pollen_T0_vs_venom_T0[i,]),"-",DEGs_pollen_T0_vs_venom_T0$gene_symbol[i]),
          names = c("venom 0d","pollen 0d"),
          ylab = "log2 expr")
dev.off()