setwd("~/Feng_He_project/SysTACT_allergy_study/outlier_dectection_v2")
#load the workspace from calculating batch effects

data<-v$E
colnames(data)<-metadata[,2]

#detect outliers by PCoA
medianscale <- cmdscale(dist(t(data)), k = 2)

plot(medianscale[,1], medianscale[,2], col=c("black","blue","red")[match(phenotype, unique(phenotype))], 
     pch=20, main="PCoA plot", cex=2, cex.axis=0.1, tck=0, xlab="Dimension 1", ylab="Dimension 2")
text(medianscale[,2]~medianscale[,1], labels = metadata[,2], pos = 4)
